const MODULE_NAME = 'KOMODO_SDK-PUSH-TRX.CLIENT';

const config = require('komodo-sdk/config');
const logger = require('tektrans-logger');
const uniqid = require('uniqid');
const connect = require('./connect');

const connectAll = (xidFromCaller) => {
    const xid = xidFromCaller || uniqid();

    const gateways = config.gateways
        .filter((gateway) => !gateway.disabled && gateway.url && gateway.name);

    logger.verbose(`${MODULE_NAME} 79B5FEB5: Connecting to all gateways`, {
        xid,
        gatewayNames: gateways.map((gateway) => gateway.name),
    });

    gateways.forEach((gateway) => {
        connect(xid, gateway);
    });
};

connectAll();
